SYSTEMD-CAT(1)

NOM
systemd-cat – Connexion d’une sortie de programme ou d’un pipeline au journal

SYNOPSIS

systemd-cat [OPTIONS...] [COMMANDE] [ARGUMENTS...]

systemd-cat [OPTIONS...]

DESCRIPTION

systemd-cat peut être utilisé pour connecter l’entrée ou la sortie standard d’un processus au journal ou comme un outil de filtrage dans un pipeline d’interpréteur de commandes pour passer au journal la sortie que génère l’élément précédent de pipeline.

Si aucun paramètre n’est indiqué, systemd-cat écrit tout ce qu’il lit sur l’entrée standard (stdin) dans le journal.

Si des paramètres sont fournis, ils sont exécutés comme ligne de commande avec la sortie standard (stdout) et la sortie standard d’erreur (stderr) connectées au journal, de façon que tout ce qui est écrit soit stocké dans le journal.

OPTIONS

Les options suivantes sont comprises :

-h, --help
    Afficher un aide-mémoire succinct et quitter.

--version
    Afficher une information de version courte et quitter.

-t, --identifier=
    Indiquer une courte chaine utilisée pour identifier l’outil de journalisation. Si elle n’est pas indiquée, aucune chaine d’identification n’est définie pour l’entrée de journal, et le nom de l’exécutable (ou cat(1) si l’entrée est lue à partir d’un pipeline) sera utilisé pour décrire à la place la source du journal.

-p, --priority=
    Indiquer le niveau de priorité par défaut pour les messages journalisés. Ce peut être « emerg », « alert », « crit », « err », « warning », « notice », « info », « debug » ou une valeur entre 0 et 7 (correspondant aux mêmes niveaux nommés). Ces valeurs de priorité sont les mêmes que celles définies dans syslog(3) (par défaut « info »). Remarquez que cela contrôle simplement les valeurs par défaut ; chaque ligne peut être journalisée individuellement à un niveau différent si elle est préfixée en conséquence. Pour plus de détails, consulter l’option --level-prefix= ci-après.

--stderr-priority=
    Indiquer le niveau de priorité par défaut des messages de la sortie standard d’erreur (stderr) du processus. Cette option est utilisée de la même façon que l’option --priority= ci-avant, et les deux peuvent être utilisées en même temps. Dans ce dernier cas, l’option --priority= précise la priorité par défaut (stdout) de la sortie standard.

    Si l’option --stderr-priority= n’est pas précisée, les messages de la sortie standard d’erreur (stderr) sont journalisés avec la même priorité par défaut que la sortie standard (stdout).

    Remarquez aussi que lorsque la sortie standard et la sortie standard d’erreur utilisent la même priorité par défaut, les messages sont ordonnés strictement parce qu’un seul canal est utilisé pour les deux. Quand leur priorité par défaut diffère, deux canaux sont utilisés ; aussi les messages de la sortie standard ne sont pas ordonnés strictement respectivement aux messages de la sortie standard d’erreur, bien qu’ils ont tendance à être approximativement ordonnés.

    Ajouté dans la version 241.

--level-prefix=
    Contrôler si les lignes « read » sont analysées pour les préfixes de niveau de priorité de syslog(3). Si cette option est active (comportement par défaut), une ligne avec un préfixe de priorité tel que « <5> » sera journalisée avec comme priorité 5 (« notice »), et de manière similaire pour les autres niveaux. Cette option prend un argument booléen.

--namespace=
    Indiquer l’espace de noms du journal vers lequel les E/S sont connectées. Pour plus de détails sur l’espace de noms du journal, consultez systemd-journald.service(8).

    Ajouté dans la version 256.

CODE DE RETOUR

En cas de succès, 0 est renvoyé, autrement, un code d'échec différent de zéro est renvoyé.

EXEMPLES

Exemple 1. Invocation d’un programme

L’exemple suivant appelle /bin/ls avec la sortie standard et la sortie standard d’erreur connectées au journal :

    # systemd-cat ls

Exemple 2. Utilisation d’un pipeline d’interpréteur

L’exemple suivant construit un pipeline d’interpréteur invoquant /bin/ls et écrit la sortie produite dans le journal :

    # ls | systemd-cat

Bien que les deux exemples aient des résultats très similaires, le premier est préférable puisqu’un seul processus est exécuté à un moment donné et que la sortie standard et la sortie standard d’erreur sont capturées, tandis que dans le second exemple, seule la sortie standard est capturée.

VOIR AUSSI

systemd(1), systemctl(1), logger(1)

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.